/* wincompat.h
 * This file is part of the LaBrea package
 *
 * Copyright (C) 2001-2003 Tom Liston <tliston@premmag.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <stdlib.h>
#include "getopt.h"
#include <signal.h>
#include <io.h>
#include <winsock2.h>
#include <nb30.h>

#define bzero(p,s)			memset(p,0,s)
#define strncasecmp			strnicmp
#define strcasecmp			stricmp
#define sleep				Sleep
#define read				_read
#define write				_write
#define lseek				_lseek
#define snprintf			_snprintf
#define vsnprintf			_vsnprintf


typedef unsigned long u_int32_t;
typedef unsigned short u_int16_t;
typedef unsigned char u_int8_t;
typedef unsigned char u_char;
typedef unsigned short u_word;
typedef size_t ssize_t;
typedef struct _ASTAT_ {
  ADAPTER_STATUS adapt;
  NAME_BUFFER NameBuff [30];
} ASTAT, * PASTAT;


#ifndef TH_SYN
#define TH_SYN    0x02
#endif
#ifndef TH_RST
#define TH_RST    0x04
#endif
#ifndef TH_ACK
#define TH_ACK    0x10
#endif

#ifndef PRu32
#define PRu32   5
#endif


BOOL GetAMAC(int index);
BOOL GetIPStuff();
int libnet_seed_prand(void);
unsigned long libnet_get_prand(int dummy);
unsigned long libnet_name_resolve(unsigned char *hostname, unsigned short dummy);
void PrintDeviceList();
void *GetAdapterFromList(int index);
unsigned long getnetmask(char *netstr);
int libnet_close_link_interface(struct libnet_link_int *l);
struct libnet_link_int *libnet_open_link_interface(char *device, char *ebuf);
int libnet_do_checksum(u_char *buf, int protocol, int len);
int libnet_build_ip(u_short len, u_char tos, u_short id, u_short frag,
                    u_char ttl, u_char prot, u_long saddr, u_long daddr,
                    const u_char *payload, int payload_s, u_char *buf);
int libnet_build_tcp(u_short sport, u_short dport, u_long seq,
                     u_long ack, u_char control, u_short win, u_short urg,
                     const u_char *payload, int payload_s, u_char *buf);
int libnet_write_link_layer(struct libnet_link_int *l, const u_char *device,
                            u_char *buf, int len);
int libnet_win32_init(int AdapterNum);

